DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·RECORDS·DELETE·GENERATED

Delete a record

DELETE
/tables/{tableId}/records/{id}
SCOPE:tables:write

Delete a record

Authentication

Requires API key with tables:write scope.

Path parameters

NameTypeDescription
tableIdUUIDPath parameter.
idUUIDPath parameter.

Request

(no body)

Response — 200 OK

{
  "deleted": true,
  "id": "00000000-0000-0000-0000-000000000000"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000 \
  -X DELETE \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'
const response = await fetch('/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
  },
})
const data = await response.json()
{
  "server": "onnie",
  "name": "deleteRecord",
  "description": "DELETE /tables/{tableId}/records/{id}"
}